HPE SimpliVity
cancel
Showing results for 
Search instead for 
Did you mean: 

Unable to upgrade or install the 4.0.0.179 instance of the vSphere Web Client Plugin

 
Highlighted
Occasional Visitor

Unable to upgrade or install the 4.0.0.179 instance of the vSphere Web Client Plugin

Last weekend I did a successful upgrade of the platform, including firmware; OVC, Arbiter and vSphere Client Plugin.  This was from 3.7.6 to 3.7.9

This weekend I'm running the upgrade to get the environment to 4.0.0 and I've hit an issue with the upgrade of the vSphere Web Client Plugin (4.0.0.179).

I am using the installer 'HPE-SimpliVity-Plug-in-for-vSphere-Client-linux-x64-4.0.0.179.run' from the 4.0.0 package.  The file is copied over to the VCSA, chmod on the executable, run, follow all the prompts, no issue with the login or connection.  The installer runs fine and gives no erros; I took a quick peek at the install log and didn't see anything there.

Steps I took:

  • first just attempted an upgrade as described above, because this was the same process as I did last weekend and I had zero issues
  • reboot the VCSA since I didn't see the version update on the "About" page inside of vCenter
  • went and uninstalled all versions of the plugin on the VCSA, confirmed it was not visible from Administration -> Solutions -> Client Plug-ins 
  • installed 4.0.0.179 by itself; again I didn't see any errors or issues but it did not appear in vCenter (when checking Administration -> Solutions -> Client Plug-ins).  No "HPE SimpliVity Federation" appeared
  • reinstalled 16.58.0, from the 3.7.9 package, which is currently working fine

What do I need to do to get up to 4.0.0.179? I'm not sure what else to try.

2 REPLIES 2
Highlighted
HPE Pro

Re: Unable to upgrade or install the 4.0.0.179 instance of the vSphere Web Client Plugin

Uninstall all simplivity plugins

Reboot VC 

Reinstall the 4.0 plugin note the user you use for the install.

Relauch the VC html  using the user from previous step.

iF  that fails you may need to open a support ticket.


I am an HPE employee
Accept or Kudo
Highlighted
Occasional Visitor

Re: Unable to upgrade or install the 4.0.0.179 instance of the vSphere Web Client Plugin

Thanks for the steps.  No luck unfortunately.  I'll open a support case here soon.